package com.sundot.airport.common.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.sundot.airport.common.annotation.Excel;
import com.sundot.airport.common.core.domain.BaseEntity;

/**
 * 已读对象 base_read
 *
 * @author ruoyi
 * @date 2025-09-09
 */
public class BaseRead extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 租户号
     */
    private String tenantId;

    /**
     * 乐观锁
     */
    private Long revision;

    /**
     * 类型
     */
    @Excel(name = "类型")
    private String type;

    /**
     * 类型描述
     */
    @Excel(name = "类型描述")
    private String typeDesc;

    /**
     * 用户ID
     */
    @Excel(name = "用户ID")
    private Long userId;

    /**
     * 用户名称
     */
    @Excel(name = "用户名称")
    private String userName;

    /**
     * 主键
     */
    private Long id;

    /**
     * 表单ID
     */
    @Excel(name = "表单ID")
    private Long formId;

    /**
     * 表单编码
     */
    @Excel(name = "表单编码")
    private String formCode;

    /**
     * 表单名称
     */
    @Excel(name = "表单名称")
    private String formName;

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setRevision(Long revision) {
        this.revision = revision;
    }

    public Long getRevision() {
        return revision;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public void setTypeDesc(String typeDesc) {
        this.typeDesc = typeDesc;
    }

    public String getTypeDesc() {
        return typeDesc;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserName() {
        return userName;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setFormId(Long formId) {
        this.formId = formId;
    }

    public Long getFormId() {
        return formId;
    }

    public void setFormCode(String formCode) {
        this.formCode = formCode;
    }

    public String getFormCode() {
        return formCode;
    }

    public void setFormName(String formName) {
        this.formName = formName;
    }

    public String getFormName() {
        return formName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("tenantId", getTenantId())
                .append("revision", getRevision())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("type", getType())
                .append("typeDesc", getTypeDesc())
                .append("userId", getUserId())
                .append("userName", getUserName())
                .append("id", getId())
                .append("formId", getFormId())
                .append("formCode", getFormCode())
                .append("formName", getFormName())
                .toString();
    }
}
